Skip to main content
`Ctrl`+`K`

# PCTelescopeGetIgnoreDM

Get the flag indicating if any `DM` attached to the `PC` will be used in constructing the `PC` on the reduced number of MPI processes

## Synopsis

    #include "petscksp.h"
    #include "petscdm.h"
    PetscErrorCode PCTelescopeGetIgnoreDM(PC pc, PetscBool *v)

Not Collective

## Input Parameter

- pc - the preconditioner context

## Output Parameter

- v - the flag

## See Also

KSP: Linear System Solvers, `DM`, `PCTELESCOPE`, `PCTelescopeSetIgnoreDM()`

## Level

advanced

## Location

src/ksp/pc/impls/telescope/telescope.c

## Implementations

PCTelescopeGetIgnoreDM_Telescope() in src/ksp/pc/impls/telescope/telescope.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages